Loading...
Searching...
No Matches
vdpau.h File Reference
libavcodec » Codecs » Hardware Accelerators bridge » VDPAU Decoder and Renderer

Public libavcodec VDPAU header. More...

`#include <vdpau/vdpau.h>`
`#include "libavutil/avconfig.h"`
`#include "libavutil/attributes.h"`
`#include "avcodec.h"`

Go to the source code of this file.

## Data Structures

struct | AVVDPAUContext
| This structure is used to share data between the libavcodec library and the client video application. More...

## Typedefs

typedef int(* | AVVDPAU_Render2) (struct AVCodecContext *, struct AVFrame *, const VdpPictureInfo *, uint32_t, const VdpBitstreamBuffer *)

## Functions

int | av_vdpau_bind_context (AVCodecContext *avctx, VdpDevice device, VdpGetProcAddress *get_proc_address, unsigned flags)
| Associate a VDPAU device with a codec context for hardware acceleration.
int | av_vdpau_get_surface_parameters (AVCodecContext *avctx, VdpChromaType *type, uint32_t *width, uint32_t *height)
| Gets the parameters to create an adequate VDPAU video surface for the codec context using VDPAU hardware decoding acceleration.

## Detailed Description

Public libavcodec VDPAU header.

Definition in file vdpau.h.